package com.gic.haoban.manage.web.vo.content.statistics;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Author MUSI
 * @Date 2023/3/23 11:43 AM
 * @Description
 * @Version
 * 导购纬度使用数据
 **/
public class MaterialStoreUsedDataVO implements Serializable {

    private static final long serialVersionUID = -6389925840088323751L;
    /**
     * 日均使用素材导购数
     */
    private Integer dayAvgUseMatlNum;

    /**
     * 日均导购使用占比
     */
    private BigDecimal dayAvgUseRate;

    /**
     * 点击客户数
     */
    private Integer clickUserNum;

    /**
     * 转化客户数
     */
    private Integer convUserNum;

    /**
     * 客户转化金额
     */
    private BigDecimal convSalesNmt;

    /**
     * 门店id
     */
    private String storeId;

    /**
     * 门店code
     */
    private String storeCode;

    /**
     * 门店名称
     */
    private String storeName;

    public Integer getDayAvgUseMatlNum() {
        return dayAvgUseMatlNum;
    }

    public void setDayAvgUseMatlNum(Integer dayAvgUseMatlNum) {
        this.dayAvgUseMatlNum = dayAvgUseMatlNum;
    }

    public BigDecimal getDayAvgUseRate() {
        return dayAvgUseRate;
    }

    public void setDayAvgUseRate(BigDecimal dayAvgUseRate) {
        this.dayAvgUseRate = dayAvgUseRate;
    }

    public Integer getClickUserNum() {
        return clickUserNum;
    }

    public void setClickUserNum(Integer clickUserNum) {
        this.clickUserNum = clickUserNum;
    }

    public Integer getConvUserNum() {
        return convUserNum;
    }

    public void setConvUserNum(Integer convUserNum) {
        this.convUserNum = convUserNum;
    }

    public BigDecimal getConvSalesNmt() {
        return convSalesNmt;
    }

    public void setConvSalesNmt(BigDecimal convSalesNmt) {
        this.convSalesNmt = convSalesNmt;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }
}
